---
schema_version: "1"
id: c2071db27574bb639451f6d154c9c66e3b8e1b7c114dbbafff5e5d09b5f7e756
title: Field Value
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_responses_field_value.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_field_value.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: 3799a800ce9799e4f39496c610f94ef5764b7abdf97b533bb7717b93cce01b7f
description: The raw and displayable field values for a field in a record.
---
# Field Value

The raw and displayable field values for a field in a record.

<table class="featureTable sort_table" summary="">
          <thead class="thead sorted" align="left">
            <tr>
              <th class="featureTableHeader vertical-align-top " id="d115275e28">Property Name</th>
              <th class="featureTableHeader vertical-align-top " id="d115275e30">Type</th>
              <th class="featureTableHeader vertical-align-top " id="d115275e32">Description</th>
              <th class="featureTableHeader vertical-align-top " id="d115275e34">Filter Group and Version</th>
              <th class="featureTableHeader vertical-align-top " id="d115275e36">Available Version</th>
            </tr>
          </thead>
          <tbody class="tbody">
            <tr>
              <td class="entry" headers="d115275e28" data-title="Property Name"><samp class="codeph nolang">displayValue</samp></td>
              <td class="entry" headers="d115275e30" data-title="Type">String</td>
              <td class="entry" headers="d115275e32" data-title="Description">The displayable value for a field.<p class="p">This field is non-null in these cases.</p>
                <ul class="ul bulletList">
                  <li class="li">The <samp class="codeph nolang">value</samp> property can be localized to
                    the context user’s language.</li>

                  <li class="li">The <samp class="codeph nolang">value</samp> property is a date or currency
                    that can be formatted for display. <p class="p">If the <a class="xref" href="https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_field.htm" title="A field's metadata."><samp class="codeph javascript">dataType</samp></a> of a field is <samp class="codeph javascript"><span class="dataType">Date</span></samp> or <samp class="codeph javascript">DateTime</samp>, it uses the short format in this <a class="xref" href="https://help.salesforce.com/articleView?id=admin_supported_date_time_format.htm&amp;type=5&amp;language=en_US" target="_blank" title="HTML (New Window)">table</a>.</p>
                    <p class="p">If
                      the <samp class="codeph nolang">dataType</samp> of a field is <samp class="codeph nolang">Currency</samp>, it uses the format in this <a class="xref" href="https://help.salesforce.com/articleView?id=admin_supported_currencies.htm&amp;type=5&amp;language=en_US" target="_blank" title="HTML (New Window)">table</a>.</p>
                  </li>

                  <li class="li">The <samp class="codeph nolang">value</samp> property is a related
                    record.</li>

                </ul>
              </td>
              <td class="entry" headers="d115275e34" data-title="Filter Group and Version">Small, 41.0</td>
              <td class="entry" headers="d115275e36" data-title="Available Version">41.0</td>
            </tr>
            <tr>
              <td class="entry" headers="d115275e28" data-title="Property Name"><samp class="codeph nolang">value</samp></td>
              <td class="entry" headers="d115275e30" data-title="Type">Object</td>
              <td class="entry" headers="d115275e32" data-title="Description">The value of a field in its raw data form. <p class="p">If the field is a related record, the raw value
                  contains a nested <a class="xref" href="https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_record.htm#ui_api_responses_record" title="The field data, API name, child relationship data, and record type information for a record.">Record</a>
                  response body.</p>
                <p class="p">If this value is <samp class="codeph nolang">null</samp>,
                  the <samp class="codeph nolang">displayValue</samp> is also <samp class="codeph nolang">null</samp>.</p>
                <p class="p">Date and time information is in ISO
                  8601 format.</p>
              </td>
              <td class="entry" headers="d115275e34" data-title="Filter Group and Version">Small, 41.0</td>
              <td class="entry" headers="d115275e36" data-title="Available Version">41.0</td>
            </tr>
          </tbody>
        </table>

#### See Also

- [Record](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_record.htm "The field data, API name, child relationship data, and record type information for a record.")
- [Record Template Clone](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_record_template_clone.htm "A record template containing the default information and data needed to clone a record. Use these values in a request to POST /ui-api/records.")
- [Record Template Create](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_record_template_create.htm "A record template containing the default information and data needed to create a record. Use these values in a request to POST /ui-api/records.")